Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux.de>

Summary:	DevIL image library
Name:		DevIL
Version:	1.6.8
Release:	6
License:	LGPL-2.1
Group:		System/Libraries
URL:            http://openil.sourceforge.net/
Source0:        http://dl.sf.net/openil/%{name}-1.6.8-rc2.tar.bz2
Patch0:         DevIL-1.6.8-rc2-allegropicfix.patch
Patch1:         DevIL-1.6.8-rc2-ilut_h.patch
Patch2:         DevIL-1.6.8-rc2-il_wrap_h.patch
Patch3:         DevIL-1.6.8-rc2-ilu_region.patch
Patch4:         DevIL-1.6.8-rc2-il_endian_h.patch
Patch5:         DevIL-1.6.8-rc2-il_io_c.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libjpeg-devel libpng-devel libmng-devel zlib-devel libtiff-devel
BuildRequires:	allegro-devel mesa-libGLU-devel SDL-devel libXext-devel libXpm-devel

%description
Developer's Image Library (DevIL) is a programmer's library to develop
applications with very powerful image loading capabilities, yet is easy for a
developer to learn and use. Ultimate control of images is left to the
developer, so unnecessary conversions, etc. are not performed. DevIL utilizes
a simple, yet powerful, syntax. DevIL can load, save, convert, manipulate,
filter and display a wide variety of image formats.


%package devel
Summary:        Development files for DevIL
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for DevIL


%package ILUT
Summary:        The libILUT component of DevIL
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}

%description ILUT
The libILUT component of DevIL


%package ILUT-devel
Summary:        Development files for the libILUT component of DevIL
Group:          Development/Libraries
Requires:       %{name}-ILUT = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}
Requires:       allegro-devel
Requires:       libGLU-devel

%description ILUT-devel
Development files for the libILUT component of DevIL

%prep
%setup -q
#./autogen.sh
#libtoolize -f

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

# Convert to UTF8
iconv -f iso8859-1 CREDITS -t utf8 > CREDITS.conv \
    && /bin/mv -f CREDITS.conv CREDITS


%build
%configure
make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#Replace autoconf generated config.h to avoid potential define collisions
cat >%{buildroot}%{_includedir}/IL/config.h <<EOF
/* Support Allegro API */
#define ILUT_USE_ALLEGRO

/* Support OpenGL API */
#define ILUT_USE_OPENGL

/* Support SDL API */
#define ILUT_USE_SDL
EOF


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%post ILUT -p /sbin/ldconfig
%postun ILUT -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/libIL.so.*
%{_libdir}/libILU.so.*
%doc AUTHORS ChangeLog COPYING CREDITS README TODO


%files devel
%defattr(-,root,root,-)
%{_libdir}/libIL.so
%{_libdir}/libILU.so
%dir %{_includedir}/IL
%{_includedir}/IL/devil_internal_exports.h
%{_includedir}/IL/il.h
%{_includedir}/IL/ilu.h
%{_includedir}/IL/ilu_region.h
%{_libdir}/libIL.a
%{_libdir}/libIL.la
%{_libdir}/libILU.a
%{_libdir}/libILU.la
		  

%files ILUT
%{_libdir}/libILUT.so.*


%files ILUT-devel
%{_libdir}/libILUT.so
%{_includedir}/IL/config.h
%{_includedir}/IL/ilut.h
%{_includedir}/IL/il_wrap.h
%{_libdir}/libILUT.a
%{_libdir}/libILUT.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 04 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.8-6
- rc2 again, with gcc 4.1.2
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 1.6.8-5
- rc3 from Gotti again
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 1.6.8-4
- ilu.h
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 1.6.8-3
- modified build process
* Tue Oct 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.6.8-2
- Update to 1.6.8rc3 (also called 1.83, but Changelog mention rc3)
* Sat Dec 30 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.6.8-1
- Initial Release (RC2)
